<?php

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';

//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}

$file_error="0";
//define a maxim size for the uploaded images in Kb
 

//This function reads the extension of the file. It is used to determine if the
// file  is an image by checking the extension.
 function getExtension($str) {
         $i = strrpos($str,".");
         if (!$i) { return ""; }
         $l = strlen($str) - $i;
         $ext = substr($str,$i+1,$l);
         return $ext;
 }

//This variable is used as a flag. The value is initialized with 0 (meaning no 
// error  found)  
//and it will be changed to 1 if an errro occures.  
//If the error occures the file will not be uploaded.
 $errors=0;
//checks if the form has been submitted

 	//reads the name of the file the user submitted for uploading
 	$file=$_FILES['attach']['name'];
	//echo $file;
 	//if it is not empty
 	if ($file) 
 	{
 	//get the original name of the file from the clients machine
 		$file_name = stripslashes($_FILES['attach']['name']);
 	//get the extension of the file in a lower case format
  		$extension = getExtension($file_name);
 		$extension = strtolower($extension);  


		$extensionx=$extension;
 	//if it is not a known extension, we will suppose it is an error and 
        // will not  upload the file,  
	//otherwise we will do more tests
		if ( $extension !="pdf") {
		//print error message
 			echo '<div class=false> (pdf , doc ,sql) الموقع يسمح بامتدادت الملفات الاتية </div>';
 			$file_error="1";
 			$errors=1;
 			
 		}
 		else
 		{
//get the size of the image in bytes
 //$_FILES['attach']['tmp_name'] is the temporary filename of the file
 //in which the uploaded file was stored on the server
 $size=filesize($_FILES['attach']['tmp_name']);

//compare the size with the maxim size we defined and print error if bigger
//we will give an unique name, for example the time in unix time format
//$file_name=time().'.'.$extension;


//the new name will be containing the full path where will be stored (images 
//folder)

//$newname=$src."$file_num.$extension";
$newname=$src.$file_name;
//echo $newname;
//we verify if the image has been uploaded, and print error instead
$copied = copy($_FILES['attach']['tmp_name'], $newname);
if (!$copied) 
{
echo '<div class=false>لم يتم رفع الملف</div>';
$file_error="1";
die();
$errors=1;
}else{
	
	
echo "<div class='true'>تم رفع الملف</div>";	
//echo $file_name;
}
}}
?>